- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ogre::TempBlendedBufferInfo Class Reference

Structure for recording the use of temporary blend buffers. More...

`#include <OgreHardwareBufferManager.h>`

Inheritance diagram for Ogre::TempBlendedBufferInfo:
[legend]

List of all members.

## Public Member Functions
| ~TempBlendedBufferInfo (void)
void | extractFrom (const VertexData *sourceData)
| Utility method, extract info from the given VertexData.
void | checkoutTempCopies (bool positions=true, bool normals=true)
| Utility method, checks out temporary copies of src into dest.
void | bindTempCopies (VertexData *targetData, bool suppressHardwareUpload)
| Utility method, binds dest copies into a given VertexData struct.
void | licenseExpired (HardwareBuffer *buffer)
| Overridden member from HardwareBufferLicensee.
bool | buffersCheckedOut (bool positions=true, bool normals=true) const
| Detect currently have buffer copies checked out and touch it.
## Private Attributes
HardwareVertexBufferSharedPtr | srcPositionBuffer
HardwareVertexBufferSharedPtr | srcNormalBuffer
HardwareVertexBufferSharedPtr | destPositionBuffer
HardwareVertexBufferSharedPtr | destNormalBuffer
bool | posNormalShareBuffer
| Both positions and normals are contained in the same buffer.
unsigned short | posBindIndex
unsigned short | normBindIndex
bool | bindPositions
bool | bindNormals

## Detailed Description

Structure for recording the use of temporary blend buffers.

Definition at line 62 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::TempBlendedBufferInfo::~TempBlendedBufferInfo | ( | void |  | ) |

## Member Function Documentation

void Ogre::TempBlendedBufferInfo::extractFrom | ( | const VertexData * | sourceData | ) |

Utility method, extract info from the given VertexData.

void Ogre::TempBlendedBufferInfo::checkoutTempCopies | ( | bool | positions = `true`,
|  | bool | normals = `true` |
| ) |  |  |

Utility method, checks out temporary copies of src into dest.

void Ogre::TempBlendedBufferInfo::bindTempCopies | ( | VertexData * | targetData,
|  | bool | suppressHardwareUpload |
| ) |  |  |

Utility method, binds dest copies into a given VertexData struct.

void Ogre::TempBlendedBufferInfo::licenseExpired | ( | HardwareBuffer * | buffer | ) | `[virtual]`

Overridden member from HardwareBufferLicensee.

Implements Ogre::HardwareBufferLicensee.

bool Ogre::TempBlendedBufferInfo::buffersCheckedOut | ( | bool | positions = `true`,
|  | bool | normals = `true` |
| ) |  |  | const

Detect currently have buffer copies checked out and touch it.

## Member Data Documentation

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcPositionBuffer`[private]`

Definition at line 66 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::srcNormalBuffer`[private]`

Definition at line 67 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destPositionBuffer`[private]`

Definition at line 69 of file OgreHardwareBufferManager.h.

HardwareVertexBufferSharedPtr Ogre::TempBlendedBufferInfo::destNormalBuffer`[private]`

Definition at line 70 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::posNormalShareBuffer`[private]`

Both positions and normals are contained in the same buffer.

Definition at line 72 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::posBindIndex`[private]`

Definition at line 73 of file OgreHardwareBufferManager.h.

unsigned short Ogre::TempBlendedBufferInfo::normBindIndex`[private]`

Definition at line 74 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::bindPositions`[private]`

Definition at line 75 of file OgreHardwareBufferManager.h.

bool Ogre::TempBlendedBufferInfo::bindNormals`[private]`

Definition at line 76 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:49:54 2008